Configure um IP alias no openRC do Gentoo/Funtoo

De Wiki Hackstore

Crie alias de IP em interfaces de rede e bridge's.

/etc/netif.d/alias

Crie o arquivo de alias:

vi /etc/netif.d/alias
#!/sbin/runscript

depend() {
        config "$CONFD"
        need $PARENT
}

die() {
        eend 1 "$*"; exit 1
}

start() {
        ebegin "$STARTD"
        require IP NM
        ifconfig $INT $IP netmask $NM up || die "Couldn't bring $INT up"
        eend $?
}

stop() {
        ebegin "$STOPD"
        ifconfig $INT down || die "Couldn't bring $INT down"
        eend $?
}

/etc/conf.d/netif.eth0:0

Crie o arquivo de interface de rede:

vi /etc/conf.d/netif.eth0:0
template="alias"
description="Alias Interface"
PARENT="netif.eth0"

IP=192.168.0.1
NM=255.255.255.0
rc_need="netif.eth0"


Crie o link simbólico para o init

cd /etc/init.d ; ln -s netif.tmpl netif.eth0:0


Inicie a interface do Alias de rede

/etc/init.d/netif.eth0\:0 start


Adicione ao boot

rc-update add netif.eth0:0